{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
    katex-html.url = "git+https://dev.danilafe.com/Nix-Configs/katex-html";
    blog-source = {
      flake = false;
      url = "https://dev.danilafe.com/Web-Projects/blog-static.git";
      type = "git";
      submodules = true;
    };
    blog-source-localized = {
      flake = false;
      url = "https://dev.danilafe.com/Web-Projects/blog-static.git";
      ref = "localization";
      type = "git";
      submodules = true;
    };
  };

  outputs = { self, blog-source, blog-source-localized, nixpkgs, flake-utils, katex-html }:
    let
      buildersFor = system: import ./lib.nix {
        inherit blog-source blog-source-localized;
        pkgs = import nixpkgs { inherit system; };
	katex-html = katex-html.defaultPackage.${system};
      };
    in
      {
	inherit buildersFor;
        nixosModule = (import ./module.nix);
      } // flake-utils.lib.eachDefaultSystem (system: {
          defaultPackage = (buildersFor system).english { host = "danilafe.com"; };
      });
}
